import type { IModule } from "./IModule.js";
import type { IModuleEventListener } from "./IModuleEventListener.js";
export declare class ModuleRegistry {
    static [Symbol.iterator](): IterableIterator<IModule>;
    private static modules;
    private static listeners;
    static add(module: IModule): void;
    static has(name: string): boolean;
    static get(name: string): IModule | undefined;
    static addListener(listener: IModuleEventListener): void;
}
//# sourceMappingURL=ModuleRegistry.d.ts.map